Debian Bug report logs - #514635
defoma: Use Font::FreeType instead of Freetype.pm

version graph

Package: defoma; Maintainer for defoma is Debian QA Group <packages@qa.debian.org>;

Reported by: "K.-M. Hansche" <debianbug@hansche.de>

Date: Mon, 9 Feb 2009 17:54:02 UTC

Severity: serious

Tags: patch

Merged with 285653, 478983, 522246

Found in versions 0.11.8-0.1, defoma/0.11.10-0.2

Fixed in version defoma/0.11.10-1

Done: Don Armstrong <don@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Angus Lees <gus@debian.org>:
Bug#514635; Package defoma. (Mon, 09 Feb 2009 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "K.-M. Hansche" <debianbug@hansche.de>:
New Bug report received and forwarded. Copy sent to Angus Lees <gus@debian.org>. (Mon, 09 Feb 2009 17:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "K.-M. Hansche" <debianbug@hansche.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: defoma: Use Font::FreeType instead of Freetype.pm
Date: Mon, 09 Feb 2009 18:51:13 +0100
[Message part 1 (text/plain, inline)]
Package: defoma
Version: 0.11.10-0.2
Severity: important
Tags: patch

libhint-truetype.pl isn't working in testing right know (see #285653).
The attached libhint-truetype.pl works with libfont-freetype-perl to 
cure this problem. Although some information, like „charset“, is missing
the generated hintfile is usable. I couldn't test multi-faced fonts, 
alas. 

Please put the attached libhint-truetype.pl into defoma, to make debian
work with truescript fonts again.

libft-perl shoul be dropped from the recomendations and libfont-freetype
-perl added.

Regards

Niki

-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (990, 'testing'), (400, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages defoma depends on:
ii  dialog                    1.1-20080316-1 Displays user-friendly dialog boxe
ii  file                      4.26-1         Determines file type using "magic"
ii  perl                      5.10.0-19      Larry Wall's Practical Extraction 
ii  whiptail                  0.52.2-11.3    Displays user-friendly dialog boxe

Versions of packages defoma recommends:
pn  libft-perl                    <none>     (no description available)

Versions of packages defoma suggests:
ii  defoma-doc                   0.11.10-0.2 Debian Font Manager documentation
pn  dfontmgr                     <none>      (no description available)
ii  psfontmgr                    0.11.10-0.2 PostScript font manager -- part of
ii  x-ttcidfont-conf             31          TrueType and CID fonts configurati

-- no debconf information
[libhint-truetype.pl (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Angus Lees <gus@debian.org>:
Bug#514635; Package defoma. (Sat, 14 Mar 2009 12:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Saltykov <holy.cheater@gmail.com>:
Extra info received and forwarded to list. Copy sent to Angus Lees <gus@debian.org>. (Sat, 14 Mar 2009 12:39:02 GMT) Full text and rfc822 format available.

Message #10 received at 514635@bugs.debian.org (full text, mbox):

From: Alexander Saltykov <holy.cheater@gmail.com>
To: 514635@bugs.debian.org
Subject: about libft-perl
Date: Sat, 14 Mar 2009 17:35:25 +0500
the patch won't help. libft-perl is not present in stable (lenny).




Information forwarded to debian-bugs-dist@lists.debian.org, Angus Lees <gus@debian.org>:
Bug#514635; Package defoma. (Sat, 28 Mar 2009 14:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "K.-M. Hansche" <debianbug@hansche.de>:
Extra info received and forwarded to list. Copy sent to Angus Lees <gus@debian.org>. (Sat, 28 Mar 2009 14:51:02 GMT) Full text and rfc822 format available.

Message #15 received at 514635@bugs.debian.org (full text, mbox):

From: "K.-M. Hansche" <debianbug@hansche.de>
To: 514635@bugs.debian.org
Subject: Re: about libft-perl
Date: Sat, 28 Mar 2009 15:47:42 +0100
Hi there,

> the patch won't help. libft-perl is not present in stable (lenny).

This patch gets rid of libft-perl which isn't in debian anymore. The 
successor libfont-freetype-perl is in testing which should be allright. 
(There will be another stable release, won't there?)

Regards,

Niki




Forcibly Merged 285653 478983 514635 522246. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Tue, 18 Aug 2009 23:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Angus Lees <gus@debian.org>:
Bug#514635; Package defoma. (Tue, 18 Aug 2009 23:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Angus Lees <gus@debian.org>. (Tue, 18 Aug 2009 23:48:04 GMT) Full text and rfc822 format available.

Message #22 received at 514635@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: 514635@bugs.debian.org
Subject: NMU diff for QA upload to unstable
Date: Tue, 18 Aug 2009 16:45:42 -0700
[Message part 1 (text/plain, inline)]
I have just made a QA upload for this package fixing this bug; please
see the attached diff; serious thanks to "K.-M. Hansche"
<debianbug@hansche.de> for doing most of the grunt work on this,
though I modified his patch a bit.


Don Armstrong

-- 
[T]he question of whether Machines Can Think, [...] is about as
relevant as the question of whether Submarines Can Swim.
 -- Edsger W. Dijkstra "The threats to computing science"

http://www.donarmstrong.com              http://rzlab.ucr.edu
[defoma_nmu_for_514635.diff (text/x-diff, attachment)]

Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Wed, 19 Aug 2009 00:00:08 GMT) Full text and rfc822 format available.

Notification sent to "K.-M. Hansche" <debianbug@hansche.de>:
Bug acknowledged by developer. (Wed, 19 Aug 2009 00:00:08 GMT) Full text and rfc822 format available.

Message #27 received at 514635-close@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 514635-close@bugs.debian.org
Subject: Bug#514635: fixed in defoma 0.11.10-1
Date: Tue, 18 Aug 2009 23:47:07 +0000
Source: defoma
Source-Version: 0.11.10-1

We believe that the bug you reported is fixed in the latest version of
defoma, which is due to be installed in the Debian FTP archive:

defoma-doc_0.11.10-1_all.deb
  to pool/main/d/defoma/defoma-doc_0.11.10-1_all.deb
defoma_0.11.10-1.dsc
  to pool/main/d/defoma/defoma_0.11.10-1.dsc
defoma_0.11.10-1.tar.gz
  to pool/main/d/defoma/defoma_0.11.10-1.tar.gz
defoma_0.11.10-1_all.deb
  to pool/main/d/defoma/defoma_0.11.10-1_all.deb
psfontmgr_0.11.10-1_all.deb
  to pool/main/d/defoma/psfontmgr_0.11.10-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 514635@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Don Armstrong <don@debian.org> (supplier of updated defoma package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Tue, 18 Aug 2009 16:15:28 -0700
Source: defoma
Binary: defoma defoma-doc psfontmgr
Architecture: source all
Version: 0.11.10-1
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Don Armstrong <don@debian.org>
Description: 
 defoma     - Debian Font Manager -- automatic font configuration framework
 defoma-doc - Debian Font Manager documentation
 psfontmgr  - PostScript font manager -- part of Defoma, Debian Font Manager
Closes: 285653 514635
Changes: 
 defoma (0.11.10-1) unstable; urgency=low
 .
   * QA upload.
   * Fix dependency on libftp-perl (Closes: #514635, #285653)
Checksums-Sha1: 
 f9db9d4509dc66dcf2891b9473ccbf755181724f 771 defoma_0.11.10-1.dsc
 f2d681e7001940326e19eb0a469118df48731614 151888 defoma_0.11.10-1.tar.gz
 bbd7276884d11ac06e6532b972ee14b4f5ddaeb6 99066 defoma_0.11.10-1_all.deb
 4a1f598ce68993047920be2d7a833ae020722531 63130 defoma-doc_0.11.10-1_all.deb
 416666caaae0493b04587fad966a218d67f1dd36 22330 psfontmgr_0.11.10-1_all.deb
Checksums-Sha256: 
 fee0338ba0dcbd60614bf18a2c78a49f2f091d9e77283a80c60aa1002501e605 771 defoma_0.11.10-1.dsc
 e0ec0c344547be91365b6f6ad5cd48c9b1b5cd2c67cc04029deaec65bf6f78f0 151888 defoma_0.11.10-1.tar.gz
 f35e257f1dc27dd44a51824866d6d36f56611c098c397b15194a938583bdb3b4 99066 defoma_0.11.10-1_all.deb
 35f1d563a10177ceb07036d96d4c58dd158c53bbe230a6a7099fdba7ab6860b5 63130 defoma-doc_0.11.10-1_all.deb
 fd3b46ac48aad2a5762cd19503b2f80f777170f074867dd03c1ce8cff49275b2 22330 psfontmgr_0.11.10-1_all.deb
Files: 
 1d1ff1d4dc1d29aae2a258a598ba5566 771 admin optional defoma_0.11.10-1.dsc
 935931bf4e920170690632210f6ffa86 151888 admin optional defoma_0.11.10-1.tar.gz
 cf28125a3280cd1e0fc9421c1696cd04 99066 admin optional defoma_0.11.10-1_all.deb
 433bd8c8bcfc9862d559601c711b9353 63130 doc optional defoma-doc_0.11.10-1_all.deb
 2fc5d42361b59c7b9d9c2c6e5e072ae7 22330 admin optional psfontmgr_0.11.10-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKizyGgcCJIoCND9ARAyH2AKClQ7cEWdZ0fTXGnkQGd5MybTKAmwCfdEYT
WeBiIyxpIKBTmtDzkrnd6DI=
=xyAG
-----END PGP SIGNATURE-----





Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Wed, 19 Aug 2009 00:00:09 GMT) Full text and rfc822 format available.

Notification sent to Erik Meitner <emeitner@f2o.org>:
Bug acknowledged by developer. (Wed, 19 Aug 2009 00:00:09 GMT) Full text and rfc822 format available.

Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Wed, 19 Aug 2009 00:00:10 GMT) Full text and rfc822 format available.

Notification sent to nutzteil@web.de:
Bug acknowledged by developer. (Wed, 19 Aug 2009 00:00:10 GMT) Full text and rfc822 format available.

Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Wed, 19 Aug 2009 00:00:11 GMT) Full text and rfc822 format available.

Notification sent to Dmitry Baryshev <ksquirrel.iv@gmail.com>:
Bug acknowledged by developer. (Wed, 19 Aug 2009 00:00:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#514635; Package defoma. (Wed, 16 Sep 2009 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 16 Sep 2009 08:39:03 GMT) Full text and rfc822 format available.

Message #47 received at 514635@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 514635@bugs.debian.org
Cc: 514635-submitter@bugs.debian.org
Subject: re: #514635 defoma: Use Font::FreeType instead of Freetype.pm
Date: Wed, 16 Sep 2009 04:32:43 -0400
[Message part 1 (text/plain, inline)]
The fix is incomplete, since the package dependencies do not include
libfont-freetype-perl

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to "K.-M. Hansche" <debianbug@hansche.de>:
Bug#514635. (Wed, 16 Sep 2009 08:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#514635; Package defoma. (Wed, 16 Sep 2009 14:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 16 Sep 2009 14:48:07 GMT) Full text and rfc822 format available.

Message #55 received at 514635@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: dickey@his.com, 514635@bugs.debian.org
Cc: 514635-submitter@bugs.debian.org
Subject: Re: Bug#514635: #514635 defoma: Use Font::FreeType instead of Freetype.pm
Date: Wed, 16 Sep 2009 07:32:45 -0700
On Wed, 16 Sep 2009, Thomas Dickey wrote:
> The fix is incomplete, since the package dependencies do not include
> libfont-freetype-perl

The package Recommends: libfont-freetype-perl, which is sufficient.


Don Armstrong

-- 
Debian's not really about the users or the software at all. It's a
large flame-generating engine that the cabal uses to heat their coffee
 -- Andrew Suffield (#debian-devel Fri, 14 Feb 2003 14:34 -0500)

http://www.donarmstrong.com              http://rzlab.ucr.edu




Message sent on to "K.-M. Hansche" <debianbug@hansche.de>:
Bug#514635. (Wed, 16 Sep 2009 14:48:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#514635; Package defoma. (Wed, 16 Sep 2009 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 16 Sep 2009 20:57:03 GMT) Full text and rfc822 format available.

Message #63 received at 514635@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Don Armstrong <don@donarmstrong.com>
Cc: 514635@bugs.debian.org, 514635-submitter@bugs.debian.org
Subject: Re: Bug#514635: #514635 defoma: Use Font::FreeType instead of Freetype.pm
Date: Wed, 16 Sep 2009 16:50:26 -0400 (EDT)
On Wed, 16 Sep 2009, Don Armstrong wrote:

> On Wed, 16 Sep 2009, Thomas Dickey wrote:
>> The fix is incomplete, since the package dependencies do not include
>> libfont-freetype-perl
>
> The package Recommends: libfont-freetype-perl, which is sufficient.

dselect didn't note this when I added it.
The package doesn't run without it.

awai.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Message sent on to "K.-M. Hansche" <debianbug@hansche.de>:
Bug#514635. (Wed, 16 Sep 2009 20:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#514635; Package defoma. (Wed, 16 Sep 2009 21:18:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 16 Sep 2009 21:18:19 GMT) Full text and rfc822 format available.

Message #71 received at 514635@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Thomas Dickey <dickey@his.com>
Cc: 514635@bugs.debian.org, 514635-submitter@bugs.debian.org
Subject: Re: Bug#514635: #514635 defoma: Use Font::FreeType instead of Freetype.pm
Date: Wed, 16 Sep 2009 14:13:16 -0700
On Wed, 16 Sep 2009, Thomas Dickey wrote:
> On Wed, 16 Sep 2009, Don Armstrong wrote:
> >On Wed, 16 Sep 2009, Thomas Dickey wrote:
> >>The fix is incomplete, since the package dependencies do not include
> >>libfont-freetype-perl
> >
> >The package Recommends: libfont-freetype-perl, which is sufficient.
> 
> dselect didn't note this when I added it.

I don't use dselect, but FWICR, it has options to prompt you about
uninstalled recommends. (aptitude would have installed
libfont-freetype-perl by default, FWIW.)

> The package doesn't run without it.

It runs fine; the only thing that needs libfont-freetype-perl is
defoma-hints, which certainly isn't required to provide a significant
amount of the functionality that defoma provides. See Debian Policy
§7.2 if you're unfamiliar with the distinction between Recommends: and
Depends:.


Don Armstrong

-- 
Taxes are not levied for the benefit of the taxed.
 -- Robert Heinlein _Time Enough For Love_ p250

http://www.donarmstrong.com              http://rzlab.ucr.edu




Message sent on to "K.-M. Hansche" <debianbug@hansche.de>:
Bug#514635. (Wed, 16 Sep 2009 21:18:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#514635; Package defoma. (Wed, 16 Sep 2009 21:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 16 Sep 2009 21:30:06 GMT) Full text and rfc822 format available.

Message #79 received at 514635@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Don Armstrong <don@donarmstrong.com>
Cc: 514635@bugs.debian.org, 514635-submitter@bugs.debian.org
Subject: Re: Bug#514635: #514635 defoma: Use Font::FreeType instead of Freetype.pm
Date: Wed, 16 Sep 2009 17:22:38 -0400 (EDT)
On Wed, 16 Sep 2009, Don Armstrong wrote:

I'll keep your opinion in mind.

It's equivalent to stating that you'll "recommend" tic in ncurses
and not provide user configurability.

awai

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Message sent on to "K.-M. Hansche" <debianbug@hansche.de>:
Bug#514635. (Wed, 16 Sep 2009 21:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#514635; Package defoma. (Wed, 16 Sep 2009 21:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 16 Sep 2009 21:54:05 GMT) Full text and rfc822 format available.

Message #87 received at 514635@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Thomas Dickey <dickey@his.com>
Cc: 514635@bugs.debian.org, 514635-submitter@bugs.debian.org
Subject: Re: Bug#514635: #514635 defoma: Use Font::FreeType instead of Freetype.pm
Date: Wed, 16 Sep 2009 14:45:37 -0700
On Wed, 16 Sep 2009, Thomas Dickey wrote:
> I'll keep your opinion in mind.
> 
> It's equivalent to stating that you'll "recommend" tic in ncurses
> and not provide user configurability.

ITYM ncurses-bin.

Making a package Recommends: instead of Depends: hardly deprives users
of functionatliy, especially when the output of the command makes it
clear what needs to be done. If tic pulled in a half a megabyte of
dependencies too, we'd probably also split it out of ncurses-bin, and
make it Recommends: as well.[1]

I should also note too that defoma is going to go away in the
not-to-distant future.


Don Armstrong

1: I certainly can't remember the last time I needed to use tic to
compile a terminfo file, so it's not like its a significant portion of
the functionality that ncurses-bin provides.
-- 
Every gun that is made, every warship launched, every rocket fired
signifies in the final sense, a theft from those who hunger and are
not fed, those who are cold and are not clothed. This world in arms is
not spending money alone. It is spending the sweat of its laborers,
the genius of its scientists, the hopes of its children. This is not a
way of life at all in any true sense. Under the clouds of war, it is
humanity hanging on a cross of iron.
 -- Dwight Eisenhower, April 16, 1953

http://www.donarmstrong.com              http://rzlab.ucr.edu




Message sent on to "K.-M. Hansche" <debianbug@hansche.de>:
Bug#514635. (Wed, 16 Sep 2009 21:54:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 07:56:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:30:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.